package com.xy.consumer.disconnect;

import com.xy.consumer.MqttConsumer;
import com.xy.consumer.connected.ConnectedConsumer;
import com.xy.utils.enums.DictSonEnum;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 设备下线监听消费者
 * </p>
 *
 * @author lijin
 * @since 2022-12-27
 */
@Slf4j
@Service
@AllArgsConstructor
public class DisconnectedConsumer implements MqttConsumer {

    private ConnectedConsumer connectedConsumer;

    @Override
    public boolean message(String topic, String payload) {
        return connectedConsumer.exc(payload, DictSonEnum.DEVICE_ONLINE_STATUS_2.getKeyInt());
    }
}
