package com.xy.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * <p>
 * 设备-状态
 * </p>
 *
 * @author lijin
 * @since 2022-12-23
 */
@Data
@Accessors(chain = true)
public class DeviceStatus {

    @TableId
    private Long deviceId;

    /**
     * 系统启动时间
     */
    private LocalDateTime sysStartTime;

    /**
     * 系统当前时间
     */
    private LocalDateTime sysCurTime;

    /**
     * 机器是否通电
     */
    private Integer sysPower;

    /**
     * WIFI是否打开
     */
    private Integer wifiOpen;

    /**
     * 蓝牙是否打开
     */
    private Integer bloothOpen;

    /**
     * 联网状态
     */
    private Integer netState;

    /**
     * 联网类型
     */
    private String netType;

    /**
     * 联网信号强度
     */
    private Integer netDbm;

    /**
     * 左柜门状态
     */
    private Integer doorStateL;

    /**
     * 右柜门状态
     */
    private Integer doorStateR;

    /**
     * 左柜门锁状态
     */
    private Integer lockStateL;

    /**
     * 右柜门锁状态
     */
    private Integer lockStateR;

    /**
     * 温度值
     */
    private Integer tempValue;

    /**
     * 温控仪状态
     */
    private Integer tempState;

    /**
     * 音量
     */
    private Integer voiceVolume;

    /**
     * 主灯状态
     */
    private Integer lightMain;

    /**
     * 副灯状态
     */
    private Integer lightSecond;

    /**
     * 磁盘空间
     */
    private Integer diskSpace;

    /**
     * 磁盘剩余空间
     */
    private Integer diskRemainSpace;

    /**
     * 内存容量
     */
    private Integer memerySpace;

    /**
     * 内存剩余容量
     */
    private Integer memeryRemainSpace;

    /**
     * 左柜主摄像头状态
     */
    private Integer cameraLMainState;

    /**
     * 左柜副摄像头状态
     */
    private Integer cameraLSecondState;

    /**
     * 右柜主摄像头状态
     */
    private Integer cameraRMainState;

    /**
     * 右柜副摄像头状态
     */
    private Integer cameraRSecondState;

    /**
     * 左门锁机状态
     */
    private Integer deviceStateL;

    /**
     * 右门锁机状态
     */
    private Integer deviceStateR;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 设备商品在售库存数
     */
    private Integer stock;

    /**
     * 最近一次补货后的库存数
     */
    private Integer afterFillStock;

    /**
     * 缺货状态
     */
    private Integer stockStatus;
}
